Rygel.Database.Database.exec_cursor – librygel-db Reference Manual

# exec_cursor

## Description:

public Cursor exec_cursor (string sql, Value[]? arguments = null) throws DatabaseError

SQL query function.

Use for all queries that return a result set.

## Parameters:

sql | The SQL query to run.
arguments | Values to bind in the SQL query or null.

## Exceptions:

DatabaseError | if the underlying SQLite operation fails.